BimmerFest BMW Forum banner

2861 - 2880 of 2921 Posts

·
Registered
Joined
·
842 Posts
Hello,

May I request a link for Esys?

Thank you in advance.
The link is in the post #1,

2. Software Installation:

NOTE: Links never change. Latest versions always found below.

E-Sys - Install Instructions - v.15.pdf (Guide courtesy of member Shawnsheridan)

E-Sys 3.27.1 - Preferred version (All functions work)
  • E-sys 3.31.0- Only use with Pro Launcher
    • External Transmitter (to clear DTC) & Coding-Verification do not work
  • E-sys 3.33.4- Requires Pro Launcher 3.4.x+ for coding
    • Coding-Verification works
    • External Transmitter (to clear DTC) does not work
    • PSdZData > v.4.17.20: Flashing ECU's & injecting CAFD
 

·
Registered
Joined
·
842 Posts
TokenMaster has been out of action for many months. I would not hold my breath for his response. You are much better off buying EsysX. After you pay, the developer usually gets you a license next day.
Hrm.... that's not encouraging.... :(
 

·
Registered
2021 BMW M440i Xdrive
Joined
·
3 Posts
New to coding the G series here I just bought a G22 M440i last month and when esys 3.27.1, launcher pro 2.8.2.162
and psdzlite 4.28.21. when in esys it says it cannot find the files needed to code most ECU i can get in a few but most say CAFD file missing
 

·
Premium Member
Joined
·
40,751 Posts
Hi Shawn,

Can I get a link for E-Sys, Launcher and PSDZData lite?

This is for a 2019 g20

Thanks in advance
PM sent.
 

·
Registered
Joined
·
3 Posts
If tokemaster is inactive, as it's mentioned a few posts earlier, then I would appreciate a link to the Launcher as well.

Thanks.

edit: thanks for the quick PM dragosv6!
 

·
Banned
Joined
·
77 Posts
Wasn't sure if above PM sent is to me or try to contact tokenmaster.

But if i could also please have the link to the Launcher Pro 3.x, i would appreciate it. Thank you.
I using esysx, I really good, order this
 

·
Registered
Joined
·
842 Posts
There is no 3.x launcher free. There is one but it’s not working. Only 3.7 is available and is not free
Okay, thanks. So i paid (donated) to tokenmaster $60 for 3.7 version of Launcher Pro.

How do i obtain the available 3.7 version of Launcher Pro?

I guess now the payment has gone to a deadend?

I don't mind the donation since that was easy decision for me.
 

·
Registered
Joined
·
842 Posts
I using esysx, I really good, order this
Okay, so did some online searching on esysx, and found this nice post here,


So, is the one to get is the pointer in that post? This one to get?


My current application is with G01 X3 coding and flashing. And probably down the road with newer models and firmware's.

I still have my hopes on obtaining Launcher Pro 3.7 but if the above post is saying anything is, Launcher Pro 3.7 with lack of support would not be suitable on newer models and latest firmware's due to following. I suppose if my application was also includes older models and firmware's then probably outdated CAFD mapping is not that big of an issue.

Without Developer support to maintain and update CAFD Mapping, Launcher PRO becomes less useful as each day passes. Current CAFD Mapping is already outdated, and lagging CAFD Mapping in E-SysX.
 

·
Premium Member
Joined
·
40,751 Posts
Okay, so did some online searching on esysx, and found this nice post here,


So, is the one to get is the pointer in that post? This one to get?


My current application is with G01 X3 coding and flashing. And probably down the road with newer models and firmware's.

I still have my hopes on obtaining Launcher Pro 3.7 but if the above post is saying anything is, Launcher Pro 3.7 with lack of support would not be suitable on newer models and latest firmware's due to following. I suppose if my application was also includes older models and firmware's then probably outdated CAFD mapping is not that big of an issue.

Without Developer support to maintain and update CAFD Mapping, Launcher PRO becomes less useful as each day passes. Current CAFD Mapping is already outdated, and lagging CAFD Mapping in E-SysX.
Get E-SysX. Even Launcher 3.7 Pro has now become outdated as it was released over a year ago with no updates.
 

·
Premium Member
Joined
·
40,751 Posts

·
Registered
Joined
·
62 Posts
Hi Shawn, I have a '14 F30 and am looking to update to new battery installation. I have an old E-SYS but should probably update. Also, any cord standard you would recommend? Thank you much.
 

·
Premium Member
Joined
·
40,751 Posts
Hi Shawn, I have a '14 F30 and am looking to update to new battery installation. I have an old E-SYS but should probably update. Also, any cord standard you would recommend? Thank you much.
You need ISTA or Tool32 for Battery Registration and ENET Cable.
 

·
Premium Member
Joined
·
40,751 Posts
I'd be interested in latest PSdZData data in order to program my 2016 M140i to the latest I-Step via E-Net cable. Cheers.
PM sent.
 
2861 - 2880 of 2921 Posts
Top